Skip to contents

# Helper function for labels in gtsummary

Source: `R/label_select.R`
`label_select.Rd`

Function to select labels from list of label pairs (format: `age~"Age"`). Alternative is to use attributes, eg from `library(Hmisc)`.

## Usage

    label_select(lst, vec)

## Arguments

lst

  List of variables and labels (format: `age~"Age"`)

vec

  Vector of variables to be subset from the list

## Value

List of labels ordered like vec, formatted like lst

## Examples

    vars<-c("hypertension", "diabetes", "mrs_1")
    labels_all<-list(rtreat~"Trial treatment",
    civil~"Cohabitation",
    diabetes~"Known diabetes",
    hypertension~"Known hypertension",
    mrs_1~"One month mRS",
    mrs_6~"Six months mRS",
    '[Intercept]'~"Intercept")
    label_select(labels_all,vars)
    #> [[1]]
    #> hypertension ~ "Known hypertension"
    #> <environment: 0x564b726f95d0>
    #>
    #> [[2]]
    #> diabetes ~ "Known diabetes"
    #> <environment: 0x564b726f95d0>
    #>
    #> [[3]]
    #> mrs_1 ~ "One month mRS"
    #> <environment: 0x564b726f95d0>
    #>

    ## With gtsummary::tbl_summary()
    #stRoke::talos[vars] |>
    #gtsummary::tbl_summary(label = label_select(labels_all,vars))